## cloud-utils 0.23

=== Makefile ===
NAME = cloud-utils
libdir = /usr/share/$(NAME)
LIBDIR = $(DESTDIR)$(libdir)
BINDIR = $(DESTDIR)/usr/bin
MANDIR = $(DESTDIR)/usr/share/man/man1
DOCDIR = $(DESTDIR)/usr/share/doc/$(NAME)

binprogs := $(subst bin/,,$(wildcard bin/*))
manpages := $(subst man/,,$(wildcard man/*.1))

build:
	echo manpages=$(manpages)
	:

install:
	mkdir -p "$(BINDIR)" "$(DOCDIR)" "$(MANDIR)"
	cd bin && install $(binprogs) "$(BINDIR)"
	cd man && install $(manpages) "$(MANDIR)/" --mode=0644

clean:
	:

uninstall:
	cd "$(BINDIR)" && rm -f $(binprogs) || :
	cd "$(MANDIR)" && rm -f $(manpages) || :

## cloud-utils 0.11-0ubuntu1

=== debian/changelog ===
cloud-utils (0.11-0ubuntu1) lucid; urgency=low

  * uec-query-builds: do not throw IndexError on no builds available,
    or Exception on bad usage, LP: #559236
  * uec-publish-image: remove error trailing '%s' in error message,
    LP: #559244
  * uec-publish-tarball: send stdout through on failure of uec-publish-image,
    LP: #559244

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Apr 2010 10:03:29 -0400

cloud-utils (0.10-0ubuntu1) lucid; urgency=low

  [ Scott Moser ]
  * ssh-import-lp-id: allow dss keys
  * uec-publish-tarball: add -q/--quiet flag
  * uec-publish-image:
    - remove trailing slash on bucket input which caused failed register
    - remove trailing tab in output
    - on error, make sure user sees command output
    - add -B/--device-block-mapping pass through to euca-bundle-image
  * uec-resize-image: make quiet by default, add --verbose,-v
  * uec-query-builds: support querying 'latest-ec2'

  [ Dustin Kirkland ]
  * debian/install, debian/manpages, uec-run-instances,
    uec-run-instances.1: add a wrapper for euca-run-instances that
    can easily/cleanly inject ssh keys from Launchpad.net, LP: #524101

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Mar 2010 21:53:59 -0700

cloud-utils (0.9-0ubuntu1) lucid; urgency=low

  * ssh-import-lp-id:
    - ensure that authorized_keys gets created with the right permissions
      if it does not yet exist, LP: #531144
    - drop the sort -u, as this is actually incorrect behavior (rearranging
      the order of an existing authorized_keys file, even if to prune
      duplicate entries, is wrong); this does mean that duplicate entries
      might creep into the file, but the behavior is the same as
      ssh-copy-id in this sense, LP: #531145

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 02 Mar 2010 23:53:05 -0600

cloud-utils (0.8-0ubuntu1) lucid; urgency=low

  * uec-publish-image: return to using symbolic link for renaming 
    (LP: #522292 is fixed)
  * uec-publish-tarball: fail before extracting tarball if environment
    is not set up for euca2ools (LP: #526504)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Mar 2010 12:02:53 -0500

cloud-utils (0.7-0ubuntu1) lucid; urgency=low

  * ssh-import-lp-id: ensure that $HOME is set properly, LP: #528029;
    add a usage statement

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Feb 2010 16:19:35 -0600

cloud-utils (0.6-0ubuntu1) lucid; urgency=low

  * debian/control, debian/ssh-import.install, debian/ssh-import.manpages,
    ssh-import-lp-id, ssh-import-lp-id.1:
    - add a utility and a binary package for conveniently importing
      public ssh keys from Launchpad by a LP user id, LP: #524226

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Feb 2010 20:32:40 -0600

cloud-utils (0.5-0ubuntu1) lucid; urgency=low

  [ Scott Moser ]
  * uec-publish-image: use hard link instead of soft, work around
    euca2ools bug (LP: #522292)
  * uec-publish-image: remove temp dir if --working-dir is given
  * uec-publish-image: add --kernel-file, --ramdisk-file flags

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 18 Feb 2010 22:58:33 -0600

cloud-utils (0.4-0ubuntu1) lucid; urgency=low

  * Fix package versioning

 -- Dustin Kirkland < kirkland@ubuntu.com>  Thu, 18 Feb 2010 15:04:39 -0600

cloud-utils (0.3ubuntu1) lucid; urgency=low

  [ Dustin Kirkland ]
  * Makefile, debian/install: ditch the Makefile in favor of a debhelper
    install
  * uec-publish-image, uec-publish-tarball, uec-resize-image: add GPLv3
    headers to all scripts
  * uec-publish-image: add a note about bashisms
  * debian/copyright, uec-query-builds: clean up trailing whitespace
  * debian/control:
    - improve the description
    - depend on python, python-yaml
  * debian/manpages, uec-publish-tarball.1, uec-query-builds.1,
    uec-resize-image.1, uec-publish-image.1: add a first cut at manpages

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 17 Feb 2010 21:00:56 -0600

cloud-utils (0.2ubuntu1) lucid; urgency=low

  * add uec-query-builds for querying uec build data from uec-images.u.c

 -- Scott Moser <smoser@ubuntu.com>  Wed, 17 Feb 2010 17:34:27 -0500

cloud-utils (0.2) lucid; urgency=low

  * fix version number to represent native package

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Feb 2010 10:18:12 -0500

cloud-utils (0.1ubuntu1) lucid; urgency=low

  * Initial release.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Feb 2010 18:37:57 -0500

=== debian/control ===
Source: cloud-utils
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7)
XS-Python-Version: all
Standards-Version: 3.8.4

Package: cloud-utils
Architecture: all
Depends: ${misc:Depends}, euca2ools, file, e2fsprogs (>=1.4), python, python-yaml
Description: cloud image management utilities
 This package provides a useful set of utilities for managing cloud
 images.
 .
 The euca2ools package (a dependency of cloud-utils) provides an
 Amazon EC2 API compatible set of utilities for bundling kernels,
 ramdisks, and root filesystems, and uploading them to either EC2
 or UEC.
 .
 The tasks associated with image bundling are often tedious and
 repetitive.  The cloud-utils package provides several scripts
 that wrap the complicated tasks with a much simpler interface.

Package: ssh-import
Architecture: all
Depends: ${misc:Depends}, wget
Enhances: openssh-server, cloud-init
Description: import SSH public keys from Launchpad.net
 This package provides the ssh-import-lp-id utility, which
 downloads one or more SSH public keys from Launchpad.net
 by Launchpad user id.
 .
 This is often useful in cloud environments, and virtual machines
 where one user wants to share an instance with another user knowing
 only their Launchpad ID.

## cloud-utils 0.16ubuntu1

=== debian/changelog ===
cloud-utils (0.16ubuntu1) maverick; urgency=low

  * uec-run-instances: fix multiple launchpad-ids. (LP: #621473)
  * uec-run-instances: depend on python-paramiko. (LP: #646823)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 30 Aug 2010 13:56:19 -0400

cloud-utils (0.15ubuntu1) maverick; urgency=low

  * uec-publish-tarball: support --loader flag to use the loader
    image rather than linux kernel in uec tarballs

 -- Scott Moser <smoser@ubuntu.com>  Tue, 03 Aug 2010 16:12:47 -0400

cloud-utils (0.14-0ubuntu1) maverick; urgency=low

  * debian/control, debian/ssh-import.install, debian/ssh-import.manpages,
    ssh-import-lp-id, ssh-import-lp-id.1: purge ssh-import* from this
    source package, now pushed to openssh-server 1:5.5p1-4ubuntu3

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 22 Jul 2010 15:25:41 +0200

cloud-utils (0.13ubuntu1) maverick; urgency=low
  [ Dustin Kirkland ]
  * ssh-import-lp-id: handle multi-line ssh public keys in Launchpad,
    LP: #596938; thanks to Jos Boumans for the elegant snippet of perl that
    fixes this
  [ Clint Byrum ]
  * uec-run-instances: rewritten command with much larger scope

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Jun 2010 20:40:09 -0400

cloud-utils (0.12ubuntu1) maverick; urgency=low

  * ec2metadata: bring in ec2metadata (LP: #547019)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Jun 2010 17:00:22 -0400

=== debian/control ===
Source: cloud-utils
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7)
XS-Python-Version: all
Standards-Version: 3.8.4

Package: cloud-utils
Architecture: all
Depends: ${misc:Depends}, euca2ools, file, e2fsprogs (>=1.4), python,
 python-yaml, python-paramiko
Description: cloud image management utilities
 This package provides a useful set of utilities for managing cloud
 images.
 .
 The euca2ools package (a dependency of cloud-utils) provides an
 Amazon EC2 API compatible set of utilities for bundling kernels,
 ramdisks, and root filesystems, and uploading them to either EC2
 or UEC.
 .
 The tasks associated with image bundling are often tedious and
 repetitive.  The cloud-utils package provides several scripts
 that wrap the complicated tasks with a much simpler interface.

## cloud-utils 0.21ubuntu1

=== debian/changelog ===
cloud-utils (0.21ubuntu1) natty; urgency=low

  * make uec-publish-tarball read TMPDIR. Previously it
    read 'TEMPDIR' environment variable.  Fall back to using
    that if TMPDIR is not set.
  * add utility 'growpart' for rewriting a partition table
    so that a given partition uses available space (LP: #725127)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Feb 2011 12:54:46 -0500

cloud-utils (0.20ubuntu1) natty; urgency=low

  * uec-publish-image: use --name in euca-register
  * uec-publish-image: fix for debug so '-v' will give some info
    (previously needed -vv)
  * ec2metadata: fix for ancestor-ami-ids retrieval (LP: #706651)
  * uec-run-instances: add '--attach-volume'

 -- Scott Moser <smoser@ubuntu.com>  Sat, 19 Feb 2011 01:17:35 -0500

cloud-utils (0.19ubuntu1) natty; urgency=low

  * uec-publish-image: fix using ec2-api-tools and ec2-ami-tools

 -- Scott Moser <smoser@ubuntu.com>  Thu, 13 Jan 2011 13:56:45 -0500

cloud-utils (0.18ubuntu1) natty; urgency=low

  * include write-mime-multipart into the packaging, with man page

 -- Scott Moser <smoser@ubuntu.com>  Tue, 11 Jan 2011 19:50:35 -0500

cloud-utils (0.17ubuntu1) natty; urgency=low

  * uec-publish-tarball: add --rename-[kernel,ramdisk,image] flags
  * add support for shorter syntax in uec-query-builds
  * fix ec2metadata under Eucalyptus (LP: #676144)
  * move write-mime-multipart from cloud-init to cloud-init-multipart
    in cloud-utils

 -- Scott Moser <smoser@ubuntu.com>  Tue, 11 Jan 2011 09:40:28 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: cloud-utils
 Architecture: all
 Depends: ${misc:Depends}, euca2ools, file, e2fsprogs (>=1.4), python,
- python-yaml, python-paramiko
+ python-yaml, python-paramiko, util-linux (>= 2.17.2)
 Description: cloud image management utilities
  This package provides a useful set of utilities for managing cloud
  images.

## cloud-utils 0.23

=== debian/changelog ===
cloud-utils (0.23-0ubuntu7) oneiric; urgency=low

  * cloud-publish-image: do not fail if arch is other than i386 or x86_64.
    This is to allow 'arm'. (LP: #849093)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Sep 2011 16:29:24 -0400

cloud-utils (0.23-0ubuntu6) oneiric; urgency=low

  * cherry pick some fixes from trunk
  * ubuntu-ec2-run: add block-device-mapping arguments
  * cloud-publish-image: default to 'image' type rather than auto 
  * ubuntu-cloudimg-query: hvm instances cannot run on t1.micro
  * ubuntu-ec2-run: add --help usage, and do not run an instance
    if no args are given

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Sep 2011 14:33:46 -0700

cloud-utils (0.23-0ubuntu5) oneiric; urgency=low

  * sync with trunk at revision 142
  * add symlink for legacy name uec-run-instances to cloud-run-instances
  * ec2metadata: 
    * use 2009-04-04 version of api, which is present in openstack for the
      metadata url.
    * correctly provide prefix (keyname) for each item if dumping all metadata
  * cloud-run-instances: pass '--key' or '-k' to the underlying command
  * ubuntu-ec2-run: fix bug where --instance-type would be passed twice
    if the user set it

 -- Scott Moser <smoser@ubuntu.com>  Wed, 17 Aug 2011 15:39:12 -0500

cloud-utils (0.23-0ubuntu4) oneiric; urgency=low

  * sync with trunk at revision 136
  * ubuntu-cloudimg-query add additional format data options

  [Dustin Kirkland]
  * bin/ubuntu-ec2-run:
    - karmic is EOL, hardy still supported, note that we *should*
      use distro-info eventually
    - default to t1.micro instead of m1.small (least expensive, can do amd64)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Aug 2011 09:22:43 +0100

cloud-utils (0.23-0ubuntu3) oneiric; urgency=low

  * fix for ubuntu-ec2-run, which was broken in previous upload

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Aug 2011 15:24:57 -0400

cloud-utils (0.23-0ubuntu2) oneiric; urgency=low

  * sync with trunk at revision 127
  * fix to cloud-publish-image when interacting with older eucalyptus
  * bring in 2 new utilities for getting EC2 ami ids
    - ubuntu-ec2-query : command line utility for querying
      http://cloud-images.ubuntu.com/query
    - ubuntu-ec2-run : lightweight wrapper around ec2-run-instances
      that utilizes ubuntu-ec2-query

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Aug 2011 14:53:07 -0400

cloud-utils (0.23-0ubuntu1) oneiric; urgency=low

  * New upstream release (first upstream release separate from Ubuntu)
  * ec2metadata: add '--url' flag for specifying metadata service url
  * ec2metadata: update to use metadata api version 2011-01-01
    This adds 'instance-action', 'mac', 'profile'
  * ec2metadata: use urllib2 and correctly identify HTTPErrors
  * rename 'uec' prefix to 'cloud'
    there are symlinks providing backwards compat that will issue warnings
    - uec-publish-tarball: renamed to cloud-publish-tarball
    - uec-publish-image: renamed to cloud-publish-image
    - uec-resize-image: renamed to resize-part-image
  * uec-query-builds: removed

 -- smoser <smoser@brickies.net>  Tue, 26 Jul 2011 22:15:46 -0400

cloud-utils (0.22ubuntu1) oneiric; urgency=low

  * uec-publish-tarball: accept x86_64 as valid arch input, and pass provided
    arch un-modified to uec-publish-image rather than always changing to 'i386'
    (LP: #779812)
  * uec-publish-image: improve searching for existing image.  Handle searching
    for either the name or the manifest path, and only search images owned by
    self.
  * uec-publish-image: register as bucket/basename rather than basename

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Jul 2011 12:14:21 -0400

## cloud-utils 0.25

=== debian/changelog ===
cloud-utils (0.25-0ubuntu5) precise; urgency=low

  * cloud-publish-tarball, cloud-publish-image: be more quiet
    when downloading images by using wget --progress=dot:mega
  * ubuntu-cloudimg-query, ubuntu-ec2-run: support m1.medium ec2 size
    and do not assume m1.small or c1.medium imply i386.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Mar 2012 17:02:53 -0500

cloud-utils (0.25-0ubuntu4) precise; urgency=low

  * growpart: invoke sfdisk with '--no-reread' to avoid udev race
    conditions (LP: #937352)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2012 14:40:51 -0500

cloud-utils (0.25-0ubuntu3) precise; urgency=low

  * growpart: allow output of failed sfdisk to get to user

 -- Scott Moser <smoser@ubuntu.com>  Wed, 22 Feb 2012 15:49:34 -0500

cloud-utils (0.25-0ubuntu2) precise; urgency=low

  * cloud-publish-image: fix issue if ramdisk=none
    this fixes cloud-publish-tarball for no-ramdisk tarballs

 -- Scott Moser <smoser@ubuntu.com>  Sun, 19 Feb 2012 15:18:26 -0500

cloud-utils (0.25-0ubuntu1) precise; urgency=low

  * New upstream release.
  * fixes for cloud-publish-ubuntu for clouds other than EC2
  * better support for "loader" kernels in cloud-publish-image

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Feb 2012 15:36:15 -0500

cloud-utils (0.24-0ubuntu1) precise; urgency=low

  * New upstream release
  * cloud-publish-tarball, cloud-publish-image now accept urls
  * cloud-publish-image supports older euca2ools or ec2 tools that
    do not have a '--name' flag in register
  * cloud-publish-ubuntu: new tool added for one command population
    of your cloud from images on cloud-images.ubuntu.com

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Oct 2011 15:10:33 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

OUT_D = $(CURDIR)/debian/cloud-utils
DEB_MAKE_INSTALL_TARGET = install PREFIX=/usr DESTDIR=$(OUT_D)

binary-post-install/cloud-utils::
	ln -s cloud-publish-tarball $(OUT_D)/usr/bin/uec-publish-tarball 
	ln -s cloud-publish-image $(OUT_D)/usr/bin/uec-publish-image
	ln -s cloud-run-instances $(OUT_D)/usr/bin/uec-run-instances
	ln -s resize-part-image $(OUT_D)/usr/bin/uec-resize-image 
	ln -s cloud-publish-tarball.1 $(OUT_D)/usr/share/man/man1/uec-publish-tarball.1
	ln -s cloud-publish-image.1 $(OUT_D)/usr/share/man/man1/uec-publish-image.1
	ln -s cloud-run-instances.1 $(OUT_D)/usr/share/man/man1/uec-run-instances.1
	ln -s resize-part-image.1 $(OUT_D)/usr/share/man/man1/uec-resize-image.1

## cloud-utils 0.26

=== debian/changelog ===
cloud-utils (0.26-0ubuntu2) raring; urgency=low

  * debian/copyright: fix formatting
  * sync to trunk at revno 216
    * support for GPT partitions in growpart via sgdisk (LP: #1087526)
    * depend on wget and ca-certificates for ubuntu-cloudimg-query 
      (LP: #1062671)
    * fix sfdisk parsing (LP: #1007415)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 04 Feb 2013 15:18:49 -0500

cloud-utils (0.26-0ubuntu1) quantal; urgency=low

  * New upstream release.
    * pull in upstream at 0.26
    * remove client tools cloudimg-sync and ubuntu-cloudimg-query2
      (LP: #1059781)
    * ubuntu-cloudimg-query: add 'serial' to output variables (LP: #974569)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Oct 2012 15:08:43 -0400

cloud-utils (0.25-0ubuntu7) quantal; urgency=low

  * Sync to upstream trunk at revision 195 .
    * adds cloud-localds utility (LP: #1036312)
    * growpart: bugfix for nbd and loop devices
    * awareness of hi1.4xlarge
    * ubuntu-ec2-run: fix issue with block-device-mappings

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Aug 2012 00:45:35 -0400

cloud-utils (0.25-0ubuntu6) quantal; urgency=low

  * Sync to upstream trunk at revision 188
    * adds cloudimg-sync and ubuntu-cloudimg-query2 [Ben Howard]
  * debian/control: run wrap-and-sort 

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Jul 2012 13:38:44 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,24 @@
 Section: admin
 Priority: extra
 Maintainer: Scott Moser <smoser@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 7)
-XS-Python-Version: all
-Standards-Version: 3.8.4
+Build-Depends: cdbs, debhelper (>= 7), python-all (>= 2.6)
+XS-Python-Version: >= 2.6
+Standards-Version: 3.9.2
 
 Package: cloud-utils
 Architecture: all
-Depends: ${misc:Depends}, euca2ools, file, e2fsprogs (>=1.4), python,
- python-yaml, python-paramiko, util-linux (>= 2.17.2)
+Depends: ca-certificates,
+         e2fsprogs (>=1.4),
+         euca2ools,
+         file,
+         gnupg,
+         python,
+         python-paramiko,
+         python-yaml,
+         util-linux (>= 2.17.2),
+         wget,
+         ${misc:Depends}
+Recommends: distro-info, python-distro-info, gdisk
 Description: cloud image management utilities
  This package provides a useful set of utilities for managing cloud
  images.

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,4 @@
 	ln -s cloud-publish-image.1 $(OUT_D)/usr/share/man/man1/uec-publish-image.1
 	ln -s cloud-run-instances.1 $(OUT_D)/usr/share/man/man1/uec-run-instances.1
 	ln -s resize-part-image.1 $(OUT_D)/usr/share/man/man1/uec-resize-image.1
+	dh_python2

## cloud-utils 0.27

=== debian/changelog ===
cloud-utils (0.27-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed do-not-use-EXIT-when-trapping.patch.
  * Added also-support-sfdisk-2.26-and-higher.patch (Closes: #783826).
  * Added Debian package maintainers to debian/copyright.
  * Build-depends on python-all, not just python.
  * Standards-Version: 3.9.6 (no change).
  * Added to debian/rules: include /usr/share/openstack-pkg-tools/pkgos.make
    and build-depends on openstack-pkg-tools.
  * Added Homepage field.
  * Fixed lintian warning about non-canonical Vcs-Git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 May 2015 09:34:24 +0200

cloud-utils (0.26-2) unstable; urgency=low

  * Fixes "trap cleanup EXIT" in growpart: replaces "EXIT" by 0, as it
    otherwise fails in the Debian initramfs.
  * Added VCS fields.
  * Added a debian/gbp.conf
  * Added myself as uploader.
  * Fixed the Format: URL of the debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jun 2013 21:47:17 +0800

cloud-utils (0.26-1) unstable; urgency=low

  * Package it for Debian (Closes: #622946)

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 13:34:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: cloud-utils
 Section: admin
 Priority: extra
-Maintainer: Scott Moser <smoser@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 7), python-all (>= 2.6)
-XS-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Maintainer: Debian Cloud <debian-cloud@lists.debian.org>
+Uploaders: Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9),
+               openstack-pkg-tools,
+               python-all,
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/cloud-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cloud-utils.git
+Homepage: https://launchpad.net/cloud-utils
 
 Package: cloud-utils
 Architecture: all
-Depends: ca-certificates,
-         e2fsprogs (>=1.4),
+Depends: e2fsprogs (>=1.4),
          euca2ools,
          file,
          gnupg,
@@ -17,9 +22,9 @@
          python-paramiko,
          python-yaml,
          util-linux (>= 2.17.2),
-         wget,
-         ${misc:Depends}
-Recommends: distro-info, python-distro-info, gdisk
+         ${misc:Depends},
+Recommends: distro-info,
+            python-distro-info,
 Description: cloud image management utilities
  This package provides a useful set of utilities for managing cloud
  images.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2

## cloud-utils 0.28~bzr281

=== debian/changelog ===
cloud-utils (0.28~bzr281-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Thu, 12 May 2016 17:54:55 -0300

cloud-utils (0.28~bzr281-2) unstable; urgency=medium

  * Add 'cloud-init' as suggestion for 'cloud-guest-utils'.
  * Add copyright for 'cloud-localds' manpage.
  * debian/control: wrap-and-sort Build-Depends and Depends.
  * Fix lintian complaints:
    - binary-control-field-duplicates-source
    - capitalization-error-in-description
    - extended-description-is-probably-too-short
    - unused-file-paragraph-in-dep5-copyright

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Wed, 30 Mar 2016 22:47:47 -0300

cloud-utils (0.28~bzr281-1) unstable; urgency=medium

  [ Tiago Ilieve ]
  * New snapshot from upstream.
  * Add man page for cloud-localds. (Closes: #718247)
  * Add myself as maintainer.
  * Add NEWS file.
    - Mention the removal of deprecated links.
  * Fix GPT partition resize with sfdisk >= 2.26 (Closes: #784673)
  * Fix misspelling in growpart man page. (Closes: #793919)
  * Remove debian/clean as 'ubuntu-cloudimg-keyring.gpg' is not present
    anymore.
  * Remove Links for uec-resize-image, uec-publish-image and
    uec-publish-tarball, as they were deprecated.
  * Remove obsolete patches which their issues were fixed upstream:
    - also-support-sfdisk-2.26-and-higher.patch
    - do-not-use-EXIT-when-trapping.patch
  * Split binary packages: (Closes: #747229)
    - cloud-utils (metapackage)
    - cloud-guest-utils
    - cloud-image-utils
    - cloud-utils-euca
  * Update debian/copyright:
    - Add 2016 for Canonical contributions.
    - Add Hewlett-Packard to upstream authors.
    - Add myself to package maintainers.
    - Update upstream URL.
  * Update debian/rules to build with python3.
  * Update Standards-Version to 3.9.7 (no change).

  [ Antonio Terceiro ]
  * add myself to Uploaders:

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Thu, 10 Mar 2016 19:52:45 -0300

cloud-utils (0.27-2) unstable; urgency=medium

  * Adjust sfdisk 2.26 patch to not use cut.  closes: #793914.

 -- Clint Adams <clint@debian.org>  Tue, 28 Jul 2015 16:59:38 -0400

=== debian/control ===
Source: cloud-utils
Section: admin
Priority: extra
Maintainer: Tiago Ilieve <tiago.myhro@gmail.com>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Antonio Terceiro <terceiro@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python3-all
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/collab-maint/cloud-utils.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cloud-utils.git
Homepage: https://launchpad.net/cloud-utils

Package: cloud-utils
Architecture: all
Depends: cloud-guest-utils,
         cloud-image-utils,
         ${misc:Depends}
Description: metapackage for installation of upstream cloud-utils source
 This metapackage will depend on all sub-packages built by the
 upstream cloud-utils source.

Package: cloud-guest-utils
Architecture: all
Depends: e2fsprogs (>=1.4),
         util-linux (>= 2.17.2),
         ${misc:Depends},
         ${python3:Depends}
Recommends: gdisk | util-linux (>= 2.26.3)
Breaks: cloud-utils (<< 0.28~bzr281)
Replaces: cloud-utils (<< 0.28~bzr281)
Suggests: cloud-init
Description: cloud guest utilities
 This package contains programs useful inside cloud instance.
 It contains 'growpart' for resizing a partition during boot, which is normally
 done with the aid of cloud-init.

Package: cloud-image-utils
Architecture: all
Depends: ca-certificates,
         e2fsprogs (>=1.4),
         file,
         genisoimage,
         qemu-utils,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Breaks: cloud-utils (<< 0.28~bzr281)
Replaces: cloud-utils (<< 0.28~bzr281)
Recommends: distro-info
Suggests: cloud-utils-euca
Description: cloud image management utilities
 This package provides a useful set of utilities for working with cloud
 images.  It contains tools to help in modifying cloud images, running, and
 querying data related to cloud-images.

Package: cloud-utils-euca
Architecture: all
Breaks: cloud-utils (<< 0.28~bzr281)
Replaces: cloud-utils (<< 0.28~bzr281)
Depends: cloud-image-utils,
         euca2ools,
         file,
         qemu-utils,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Description: cloud image utilities wrapping euca2ools
 The tasks associated with image bundling are often tedious and
 repetitive.  The cloud-utils-euca package provides a useful set of utilities
 for managing cloud images wrapping the euca2ools commands, and a utility
 (ubuntu-ec2-run) for launching ubuntu instances.

## cloud-utils 0.28

=== debian/changelog ===
cloud-utils (0.28-1) unstable; urgency=medium

  * New upstream release.
  * Add signature verification of upstream tarball (fixes
    'debian-watch-may-check-gpg-signature').
  * Bump 'Standards-Version' to 3.9.8 (no changes needed).

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Fri, 20 May 2016 02:53:52 -0300

## cloud-utils 0.29

=== debian/changelog ===
cloud-utils (0.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: exclude ".bzr/" folder from upstream tarball.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Wed, 20 Jul 2016 17:09:55 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-python,
                openstack-pkg-tools,
                python3-all
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cloud-utils.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/cloud-utils.git
 Homepage: https://launchpad.net/cloud-utils

## cloud-utils 0.30

=== debian/changelog ===
cloud-utils (0.30-0ubuntu9) cosmic; urgency=medium

  * debian/tests/control: fix typo in dependencies 'gdisk', not 'sgdisk'

 -- Scott Moser <smoser@ubuntu.com>  Thu, 06 Sep 2018 11:33:24 -0400

cloud-utils (0.30-0ubuntu8) cosmic; urgency=medium

  * debian/tests/control: fix spelling of dependency 'cloud-guest-utils'.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 06 Sep 2018 09:01:13 -0400

cloud-utils (0.30-0ubuntu7) cosmic; urgency=medium

  * debian/tests/control: list dependencies including own package deps.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 06 Sep 2018 08:20:36 -0400

cloud-utils (0.30-0ubuntu6) cosmic; urgency=medium

  * sync to trunk at 333:
    - growpart: fix bug when resizing a middle partition with sgdisk.
      (LP: #1706751) [Fred De Backer]
    - test/test-mic: fix typo
    - run test for mount-image-callback
    - debian/tests/control: mention dependencies on gdisk and fdisk.
    - mount-image-callback: mention --help and -C/--cd-mountpoint in Usage

 -- Scott Moser <smoser@ubuntu.com>  Wed, 05 Sep 2018 22:45:51 -0400

cloud-utils (0.30-0ubuntu5) bionic; urgency=medium

  * sync to trunk at 324:
    - growpart: Properly ensure that MBR disks are not grown too large
      and produce a warning about 2TB limit. (LP: #1762748)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 13 Apr 2018 09:07:55 -0400

cloud-utils (0.30-0ubuntu4) bionic; urgency=medium

  * sync to trunk at 323.
    - growpart: fix bug that stopped GPT disks from being grown past 2TB.
      (LP: #1762748)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Apr 2018 23:36:41 -0400

cloud-utils (0.30-0ubuntu3) bionic; urgency=medium

  * sync to trunk at 322
    - mount-image-callback: run blockdev and udevadm settle on nbd devices.
      (LP: #1741096, #1741300)
    - mount-image-callback: Drop support for mounting lxd containers.
      (LP: #1715994)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Jan 2018 14:17:26 -0500

cloud-utils (0.30-0ubuntu2) zesty; urgency=medium

  * sync to trunk at 316
    * mount-image-callback: mount with -o 'rw' or -o 'ro' (LP: #1663722)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 10 Feb 2017 15:36:35 -0500

cloud-utils (0.30-0ubuntu1) zesty; urgency=medium

  * New upstream release
    * The only change versus 0.29-0ubuntu7 is in an upstream
      tool tools/make-dist-tarball .
  * debian/README.source: update to point at usd-import-team git branches.
  * debian/update-sync-to-main: support packaging being in git.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 13 Jan 2017 13:25:12 -0500

cloud-utils (0.29-0ubuntu7) zesty; urgency=medium

  * debian/tests: fix tests to make program in tests/ executable
    if it is not already.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 25 Oct 2016 10:50:41 -0400

cloud-utils (0.29-0ubuntu6) zesty; urgency=medium

  * sync to trunk at revno 313
    * mount-image-callback: support 'chroot' to lxd containers
  * debian/tests/control: run mount-image-callback test (test-mic)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 24 Oct 2016 14:30:49 -0400

cloud-utils (0.29-0ubuntu5) yakkety; urgency=medium

  * debian/control: update to Standards-Version 3.9.8
  * debian/copyright: fix lintian file-without-copyright-information.
  * sync to trunk at revno 306
    * mount-image-callback: try mounting overlay rather than checking first
      (LP: #1630274)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 04 Oct 2016 12:36:21 -0400

cloud-utils (0.29-0ubuntu4) yakkety; urgency=medium

  * sync to trunk at revno 303
    * mount-image-callback: support 'overlay' filesystem type rather
      than ubuntu specific 'overlayfs' (LP: #1493188)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 27 Sep 2016 21:20:58 -0400

cloud-utils (0.29-0ubuntu3) yakkety; urgency=medium

  * debian/control: add Suggests for mtools to cloud-image-utils.
  * debian/tests: add dep-8 auto package test.
  * sync to trunk at revno 302
    * ubuntu-cloudimg-query: fix xenial default to be ebs-ssd
      as traditional ebs are no longer available. (LP: #1593451)
    * mount-image-callback: fix shortopt parsing (LP: #1604011)
    * growpart: improved error messages on failure.
    * mount-image-callback: add -S short flag for --system-mounts
    * growpart: ignore sfdisk failure in 2.28.1 when due to reread
      failing (LP: #1619285)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Sep 2016 16:07:51 -0400

cloud-utils (0.29-0ubuntu2) yakkety; urgency=medium

  * bin/ubuntu-cloudimg-query: fix xenial default to be ebs-ssd
    as traditional ebs are no longer available. (LP: #1593451)

  [Ryan Harper]
  * bin/mount-image-callback: fix shortopt parsing (LP: #1604011)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 18 Jul 2016 10:48:38 -0400

cloud-utils (0.29-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
    * cloud-localds: fix creation of vfat filesystems. (LP: #1431537)
      [Kamal Mostafa]
    * cloud-localds: better errors on missing vfat tools and 
      Suggest mtools. (LP: #1431533)
    * growpart: fix use of partx for newer util-linux versions.
      (LP: #1587971) [Lars Kellogg-Stedman]
    * Add license file. (LP: #1294338)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Jun 2016 13:05:42 -0400

cloud-utils (0.28-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
    * bin/ubuntu-cloudimg-query: know about newer ubuntu release names.
      default to xenial.
    * bin/ubuntu-ec2-run: know about newer ubuntu release names.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 May 2016 10:06:37 -0400

cloud-utils (0.27-0ubuntu24) xenial; urgency=medium

  * cloud-localds: support --vendor-data, network-config and 'tar'
    output.  This is in support of the work going into cloud-init
    under LP: #1549403.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 14 Mar 2016 12:56:17 -0400

cloud-utils (0.27-0ubuntu23) xenial; urgency=medium

  * sync to trunk at revno 281
    * mount-image-callback: default to '--partition=auto' and
      better waiting for nbd partitions.



=== debian/tests/control ===
Tests: growpart-loop
Restrictions: needs-root isolation-machine allow-stderr
Depends: cloud-guest-utils, fdisk, gdisk

Tests: growpart-fsimage, growpart-fsimage-middle
Restrictions: allow-stderr
Depends: cloud-guest-utils, fdisk, gdisk

Tests: mic
Restrictions: needs-root isolation-machine allow-stderr
Depends: cloud-image-utils

## cloud-utils 0.31

=== debian/changelog ===
cloud-utils (0.31-2) unstable; urgency=medium

  * Add support for IMDSv2 in Amazon EC2. (Closes: #952563)
  * Bump debhelper-compat to version 12
  * Bump standards compliance to 4.5.0 (no changes needed)
  * Add noahm@debian.org to Uploaders

 -- Noah Meyerhans <noahm@debian.org>  Thu, 28 May 2020 15:11:57 -0700

cloud-utils (0.31-1) unstable; urgency=medium

  * Adopt the package in the cloud team.
  * Run wrap-and-sort -bast.
  * Switch to debhelper-compat.
  * Drop obsolete Breaks+Replaces.
  * Drop the cloud-utils-euca package (as euca2ools is removed from Debian).
  * Fix debian/gbp.conf.
  * New upstream release.
  * Drop Julien Danjou from uploaders (Closes: #928581).
  * Standards-Version bump to 4.4.0.
  * Set compat level to 11.
  * Point VCS to Salsa.
  * Deprecate priority extra, as per policy 4.x.
  * Removed dependency on util-linux (it's an Essential: yes package).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 01:29:43 +0200

=== debian/control ===
Source: cloud-utils
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Tiago Ilieve <tiago.myhro@gmail.com>,
 Thomas Goirand <zigo@debian.org>,
 Antonio Terceiro <terceiro@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-utils.git
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-utils
Homepage: https://launchpad.net/cloud-utils

Package: cloud-guest-utils
Architecture: all
Depends:
 e2fsprogs,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gdisk,
Suggests:
 cloud-init,
Description: cloud guest utilities
 This package contains programs useful inside cloud instance.
 It contains 'growpart' for resizing a partition during boot, which is normally
 done with the aid of cloud-init.

Package: cloud-image-utils
Architecture: all
Depends:
 ca-certificates,
 e2fsprogs,
 file,
 genisoimage,
 qemu-utils,
 wget,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 distro-info,
Description: cloud image management utilities
 This package provides a useful set of utilities for working with cloud
 images.  It contains tools to help in modifying cloud images, running, and
 querying data related to cloud-images.

Package: cloud-utils
Architecture: all
Depends:
 cloud-guest-utils,
 cloud-image-utils,
 ${misc:Depends},
Description: metapackage for installation of upstream cloud-utils source
 This metapackage will depend on all sub-packages built by the
 upstream cloud-utils source.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/cloud-utils/+download/ \
  https://launchpad.net/cloud-utils/.*/cloud-utils-([\d\.]+)\.tar\.gz

## cloud-utils 0.31-5-gef42f6b5

=== debian/changelog ===
cloud-utils (0.31-5-gef42f6b5-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - test-growpart: fix logic error resulting in test failure.
      [Scott Moser] (LP: #1842682)
    - Fix race condition in test-growpart teardown seen on ppc64el.
      [Scott Moser] (LP: #1836593)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 04 Sep 2019 11:07:42 -0400

cloud-utils (0.31-3-gfadd07fe-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - growpart: Fix bug when file image ends in a digit.  (LP: #1835124)
    - Fix spelling error in ec2metadata (--reserveration-id).
      (LP: #1810857)
    - tools: rename export-tarball to make-tarball.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 10 Jul 2019 14:09:37 -0400

cloud-utils (0.31-0ubuntu1) disco; urgency=medium

  * debian/tests/control: add test growpart-start-matches-size.
  * New upstream release.
    - White space cleanup.  Remove trailing space and tabs.
    - Move to git.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 10 Dec 2018 15:59:23 -0500

cloud-utils (0.30-0ubuntu10) disco; urgency=medium

  * sync to trunk at 340:
    - growpart: fix bug occurring if start sector and size were the same.
      [Lars Kellogg-Stedman] (LP: #1807171)
    - growpart: Resolve symbolic links before operating.
      [Kevin Locke] (LP: #1744406)
    - mount-image-callback: fix mostly harmless typo in variable name.
    - mount-image-callback: fix typo meaning we never timed out waiting for
      a disk.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 07 Dec 2018 11:45:41 -0500

## cloud-utils 0.31-7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 build:
 	echo manpages=$(manpages)
-	:
 
 install:
 	mkdir -p "$(BINDIR)" "$(DOCDIR)" "$(MANDIR)"

## cloud-utils 0.31-7-gd99b2d76

=== debian/changelog ===
cloud-utils (0.31-7-gd99b2d76-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - growpart: add flock support to prevent udev races (LP: #1834875)

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 25 Feb 2020 14:41:21 -0600

cloud-utils (0.31-6-g16916780-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - Drop the python2 only cloud-utils-euca package and tools.
      [Scott Moser] (LP: #1850257)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 Oct 2019 15:53:59 -0400

=== debian/control ===
Source: cloud-utils
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 7), dh-python, python3-all
XS-Python-Version: >= 2.6
Standards-Version: 3.9.8
XS-Testsuite: autopkgtest

Package: cloud-utils
Priority: extra
Section: admin
Architecture: all
Depends: cloud-guest-utils, cloud-image-utils, ${misc:Depends}
Description: metapackage for installation of upstream cloud-utils source
 This meta-package will depend on all sub-packages built by the
 upstream cloud-utils source.

Package: cloud-guest-utils
Architecture: all
Depends: e2fsprogs (>=1.4),
         util-linux (>= 2.17.2),
         ${misc:Depends},
         ${python3:Depends}
Recommends: gdisk | util-linux (>= 2.26.3)
Breaks: cloud-utils (<< 0.27-0ubuntu3)
Replaces: cloud-utils (<< 0.27-0ubuntu3)
Description: cloud guest utilities
 This package contains programs useful inside cloud instance.
 It contains 'growpart' for resizing a partition during boot.

Package: cloud-image-utils
Architecture: all
Depends: ca-certificates,
         e2fsprogs (>=1.4),
         file,
         genisoimage,
         qemu-utils,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Breaks: cloud-utils (<< 0.27-0ubuntu3)
Replaces: cloud-utils (<< 0.27-0ubuntu3)
Recommends: distro-info
Suggests: mtools
Description: cloud image management utilities
 This package provides a useful set of utilities for working with cloud
 images.  It contains tools to help in modifying cloud images, running, and
 querying data related to cloud-images.

## cloud-utils 0.31-29-ge0792e3d

=== debian/changelog ===
cloud-utils (0.31-29-ge0792e3d-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - Fix bad variable use. [Scott Moser] (LP: #1898533)
    Test/CI or cosmetic changes:
    - Use test/run-all under c-i. [Scott Moser] (LP: #1898533)
    - Add a 'tests/run-all' to easily run all the test/test* files.
      [Scott Moser]
    - tox: shellcheck: workaround false positives [Paride Legovini]
    - tox: add the test/* scripts to the shellcheck run [Paride Legovini]
    - Whitespace cleanups [Scott Moser]

 -- Paride Legovini <paride.legovini@canonical.com>  Mon, 05 Oct 2020 14:03:39 +0200

cloud-utils (0.31-22-g37d4e32a-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - Growpart fix undefined variable in growpart error message.
    - Add test for growpart lvm resize.
    - Growpart: add support for resizing an lvm pv after growing the
      partition. (LP: #1799953)
    - Make resize functions return, so unlock_disk_and_settle is called.
    - CI: rename the "tip" tox environments to tip-* [Paride Legovini]
    - CI: pin the shellcheck version and add a shellcheck-tip environment
      [Paride Legovini]
    - CI: make shellcheck check tools/* [Paride Legovini]
    - IMDSv2 session token support (#1) [Paride Legovini] (LP: #1870244)
    - growpart: parse the kernel version in a more robust way (#2)
      [Paride Legovini] (LP: #1881014)
    - Fix some pylint, flake8, shellcheck issues and add basic CI (#4)
      [Paride Legovini]

 -- Scott Moser <smoser@ubuntu.com>  Tue, 21 Jul 2020 09:39:36 -0400

cloud-utils (0.31-12-g3d6d5128-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - growpart: Do not fail if only sgdisk is available. [Scott Moser]
    - growpart: Fix reading sector size with newer sgdisk versions.
      [Scott Moser]
    - growpart: Fail on unknown values of GROWPART_RESIZER. [Scott Moser]
    - debian/tests: fix GROWPART_RESIZER value in 'runtests' function.
      [Scott Moser]

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 06 May 2020 11:35:00 -0500

cloud-utils (0.31-8-g9619a1ea-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - cloud-image-utils: Add depends on fdisk, drop e2fsprogs
      [Scott Moser] (LP: #1876139)

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 05 May 2020 16:12:40 -0500

## cloud-utils 0.32-18-g5b59de87

=== debian/changelog ===
cloud-utils (0.32-18-g5b59de87-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot.
    - test-growpart: udevadm settle after setting up the loop device
      [Paride Legovini]

 -- Paride Legovini <paride.legovini@ubuntu.com>  Wed, 10 Feb 2021 15:43:41 +0100

cloud-utils (0.32-17-g8f3d478f-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot.
    - d/watch: update to match hosting on github [Christian Ehrhardt]
    - d/control: update VCS to match hosting on github [Christian Ehrhardt]
    - growpart test: use losetup --partscan/--detach to handle the lodev parts
      [Paride Legovini]
    - d/control: Build-Depend on python3 instead of python3-all
      [Paride Legovini]
    - d/control: remove unnecessary XS-Testsuite field [Paride Legovini]
    - d/control: add Homepage field (points to the LP project)
      [Paride Legovini]
    - d/control: set Rules-Requires-Root: no [Paride Legovini]
    - d/copyright: bump copyright years [Paride Legovini]
    - d/copyright: use secure copyright format URI [Paride Legovini]
    - d/control: remote hyphen in package description [Paride Legovini]
    - d/control: remove duplicate Section control field [Paride Legovini]
    - d/control: replace Priority: extra with Priority: optional
      [Paride Legovini]
    - Install the manpages using dh_installman [Paride Legovini]
    - d/control: switch to debhelper 13 via debhelper-compat [Paride Legovini]
    - d/control: update Standards-Version to version 4.5.0 [Paride Legovini]
    - d/control: drop unneeded XS-Python-Version field [Paride Legovini]
    - Tidy up unrequired files and references. [Dermot Bradley]

 -- Paride Legovini <paride.legovini@canonical.com>  Mon, 25 Jan 2021 12:41:02 +0100

cloud-utils (0.32-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
    - Update changelog for 0.32 [Paride Legovini]
    - readme: add where to file bugs [Joshua Powers]
    - README: Add initial readme for project [Joshua Powers]
    - Support the new ec2metadata fields [Fred Vogt] (LP: #1894344)

 -- Paride Legovini <paride.legovini@canonical.com>  Wed, 28 Oct 2020 16:51:43 +0100

## cloud-utils 0.32-22-g45fe84a5

=== debian/changelog ===
cloud-utils (0.32-22-g45fe84a5-0ubuntu1) impish; urgency=medium

  * New upstream snapshot.
    - Merge test changes from test-growpart to test-growpart-lvm
      [Dan Bungert] (LP: #1929885)
    - Fix issue LP: #1928167 growpart doesn't work when LANG=cs_CZ.UTF-8
      [Amy Chen]
    - growpart: change flock call to use short option for Busybox
      compatibility [Dermot Bradley]
    - growpart: Use LANG=C to parse sfdisk output [Nicolas Chauvet]
      (LP: #1860479)

 -- Paride Legovini <paride@ubuntu.com>  Thu, 05 Aug 2021 11:58:37 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cloud-utils-$1.tar.gz%" \
    https://github.com/canonical/cloud-utils/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
